NavigatorID.appVersion

非推奨

この機能は非推奨になりました。まだ対応しているブラウザーがあるかもしれませんが、すでに関連するウェブ標準から削除されているか、削除の手続き中であるか、互換性のためだけに残されている可能性があります。使用を避け、できれば既存のコードは更新してください。このページの下部にある互換性一覧表を見て判断してください。この機能は突然動作しなくなる可能性があることに注意してください。

"4.0" またはそのブラウザーのバージョン情報を表す文字列のどちらかを返します。

このプロパティがブラウザーの正しいバージョンを返すことを期待しないでください。

構文

window.navigator.appVersion

"4.0" またはそのブラウザーのバージョン情報を表す文字列のどちらかです。

alert("このブラウザーのバージョンは " + navigator.appVersion + " と報告されています。");

window.navigator.userAgent プロパティもバージョン番号を含んでいる場合がありますが ("Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.2) Gecko/20010725 Netscape 6/6.1" など)、ユーザーエージェント文字列を変更したり、他のブラウザー、プラットフォーム、ユーザーエージェントに「偽装」したり、ブラウザーベンダー自身がこれらのプロパティに無頓着であったりすることを意識しておいてください。

window.navigator.appVersion, window.navigator.appName, window.navigator.userAgent の各プロパティは、「ブラウザー推定」 (browser sniffing) コード、すなわち使用しているブラウザーを検出し、それに従ってページを調整しようとするスクリプトで使われてきました。これにより、一部のウェブサイトから拒否されないようにするために、ブラウザーがこれらのプロパティで偽の情報を返さなければならないという現在の状況が発生したのです。

仕様書

仕様書 状態 備考
HTML Living Standard
NavigatorID.appVersion の定義
現行の標準 初回定義

ブラウザーの互換性

No compatibility data found for api.NavigatorID.appVersion.
Check for problems with this page or contribute missing data to mdn/browser-compat-data.